Bug 1049204 - TrustedHosts is missing IPv6 ::1
Summary: TrustedHosts is missing IPv6 ::1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: opendkim
Version: 21
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Jenkins
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-07 08:24 UTC by Jan Kratochvil
Modified: 2015-03-25 20:06 UTC (History)
2 users (show)

Fixed In Version: opendkim-2.10.1-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-09 08:36:16 UTC


Attachments (Terms of Use)
Fix. (584 bytes, patch)
2014-01-07 08:24 UTC, Jan Kratochvil
no flags Details | Diff

Description Jan Kratochvil 2014-01-07 08:24:16 UTC
Created attachment 846508 [details]
Fix.

Description of problem:
With MailMan on the same host opendkim did not work for it.

Version-Release number of selected component (if applicable):
opendkim-2.9.0-2.fc20.x86_64 (assumed)
opendkim-2.8.4-1.el6.x86_64 - the one failed with MailMan (ScientificLinux-6).

How reproducible:
Tried once.

Steps to Reproduce:
Send MailMan request to host DKIM-signing its mails.

Actual results:
No DKIM signature.
opendkim: localhost.localdomain [::1] not internal
opendkim: not authenticated
opendkim: external host localhost.localdomain attempted to send as jankratochvil.net

Expected results:
DKIM-signed MailMan response.

Additional info:
The problem occured on ScientificLinux-6 host for me, not on F-20.
But F-20 config looks exactly the same so I expect it would happen even there.
The fix has been also tested only on the ScientificLinux-6 host.

Comment 1 Jan Kratochvil 2015-01-23 09:20:24 UTC
opendkim-2.9.2-3.fc21.x86_64

Comment 2 Fedora Update System 2015-03-04 04:53:57 UTC
opendkim-2.10.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/opendkim-2.10.1-2.fc21

Comment 3 Fedora Update System 2015-03-04 04:54:06 UTC
opendkim-2.10.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/opendkim-2.10.1-2.el6

Comment 4 Fedora Update System 2015-03-04 04:54:17 UTC
opendkim-2.10.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/opendkim-2.10.1-2.fc20

Comment 5 Fedora Update System 2015-03-04 04:54:28 UTC
opendkim-2.10.1-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/opendkim-2.10.1-2.el5

Comment 6 Fedora Update System 2015-03-04 04:54:39 UTC
opendkim-2.10.1-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/opendkim-2.10.1-2.el7

Comment 7 Fedora Update System 2015-03-04 04:54:49 UTC
opendkim-2.10.1-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/opendkim-2.10.1-2.fc22

Comment 8 Steve Jenkins 2015-03-04 05:10:07 UTC
Hi, Jan. I tested the fix on a Fedora box, and verified that it will work.

I've included the necessary "::1" for IPv6 support in the default TrustedHosts file and submitted a new build to the testing repos. Please feel free to test and leave karma.

Comment 9 Fedora Update System 2015-03-04 21:08:01 UTC
Package opendkim-2.10.1-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing opendkim-2.10.1-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-3099/opendkim-2.10.1-2.fc22
then log in and leave karma (feedback).

Comment 10 Jan Kratochvil 2015-03-04 21:29:21 UTC
nice bio

Comment 11 Steve Jenkins 2015-03-05 04:34:51 UTC
I have a bio? :)

Comment 12 Fedora Update System 2015-03-09 08:36:16 UTC
opendkim-2.10.1-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-03-10 00:57:05 UTC
opendkim-2.10.1-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-03-13 17:19:43 UTC
opendkim-2.10.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-03-25 19:56:43 UTC
opendkim-2.10.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-03-25 19:57:07 UTC
opendkim-2.10.1-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-03-25 20:06:06 UTC
opendkim-2.10.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.